def  vector_to_matrix(vector):
  return [[vector[i] for j in range(1)] for i in range(len(vector))]

def matrix_to_vector(matrix):
  return [matrix[i][0] for i in range(len(matrix))]

def print_matrix(matrix):
  cols = len(matrix[0])
  rows = len(matrix)
  print(str(rows)+"x"+str(cols))
  print("-----------")
  for i in range(rows):
    for j in range(cols):
      print(matrix[i][j],end = " ")
    print()
  print()

def multiply(a,b):
  colsA = len(a[0])
  rowsA = len(a)
  colsB = len(b[0])
  rowsB = len(b)
  
  if colsA != rowsB:
    print("Error ! Columns of a\nmust match rows of b")
    return None
  
  result = [[0 for j in range(colsB)] for i in range(rowsA)]
  
  for i in range(rowsA):
    for j in range(colsB):
      _sum = 0
      for k in range(colsA):
        _sum += a[i][k]*b[k][j]
      result[i][j] = _sum
  
  return result
